Index · Directives · Python · libudev · gudev systemd 220

## Name

systemd-hibernate-resume@.service, systemd-hibernate-resume — Resume from hibernation

## Synopsis

`systemd-hibernate-resume@.service`

`/usr/lib/systemd/systemd-hibernate-resume`

## Description

`systemd-hibernate-resume@.service` initiates the resume from hibernation. It is instantiated with the device to resume from as the template argument.

`systemd-hibernate-resume` only supports the in-kernel hibernation implementation, known as swsusp. Internally, it works by writing the major:minor of specified device node to `/sys/power/resume`.

Failing to initiate a resume is not an error condition. It may mean that there was no resume image (e. g. if the system has been simply powered off and not hibernated). In such case, the boot is ordinarily continued.

## See Also

systemd(1), systemd-hibernate-resume-generator(8)